package cn.com.poc.ai_software_copyright.strategy;

import cn.com.poc.ai_software_copyright.domain.GeneratedDoc;
import cn.com.yict.framemax.core.config.Config;

/**
 * 软著文档生成策略接口
 */
public abstract class DocGenerationStrategy {

    public abstract void generate(GeneratedDoc doc);

    public String getCallbackURL() {
        return Config.get("dify.software_copyright.callball.url");
    }
}